net.sourceforge.pmd.cpd

## Class MatchAlgorithm

- java.lang.Object
- - net.sourceforge.pmd.cpd.MatchAlgorithm

-     public class MatchAlgorithm
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchAlgorithm(Map<String,SourceCode> sourceCode, Tokens tokens, int min)`
    `MatchAlgorithm(Map<String,SourceCode> sourceCode, Tokens tokens, int min, CPDListener listener)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `findMatches()`
    `int` | `getMinimumTileSize()`
    `Iterator<Match>` | `matches()`
    `void` | `setListener(CPDListener listener)`
    `TokenEntry` | `tokenAt(int offset, TokenEntry m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchAlgorithm

          public MatchAlgorithm(Map<String,SourceCode> sourceCode,
                        Tokens tokens,
                        int min)

    - #### MatchAlgorithm

          public MatchAlgorithm(Map<String,SourceCode> sourceCode,
                        Tokens tokens,
                        int min,
                        CPDListener listener)

  - ### Method Detail

    - #### setListener

          public void setListener(CPDListener listener)

    - #### matches

          public Iterator<Match> matches()

    - #### tokenAt

          public TokenEntry tokenAt(int offset,
                           TokenEntry m)

    - #### getMinimumTileSize

          public int getMinimumTileSize()

    - #### findMatches

          public void findMatches()

Copyright © 2002-2013 InfoEther. All Rights Reserved.